cdac.medinfo.sdk.hl7282.hl7net.auxiliaryprotocol.transactionhandler

## Class MessageData

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.hl7net.auxiliaryprotocol.transactionhandler.MessageData

-     public class MessageData
      extends java.lang.Object

  This class holds required information about Message. It contains Message Structure,Message Event,Message Controller ID & Query Identifier of Message.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageData(Message objMessage)` Constructor of MessageData for initializing Members.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBatchControlID()` Retrieves Batch ControlID .
    `boolean` | `getDeferred()`
    `EnumMessageCode` | `getEnumMessageCode()` Retrieves Message Code.
    `java.lang.String` | `getMessageControllerID()` Retrieves Message Controller ID.
    `java.lang.String` | `getMessageStructure()` Retrieves Message Structure
    `java.lang.String` | `getQueryIdentifier()` Retrieves Query Identifier.
    `java.lang.String` | `getTriggerEvent()` Retrieves Trigger Event
    `boolean` | `isBatchExpected()` Checks whether incoiming entity is batch or not.
    `void` | `setBatchControlID(java.lang.String strBatchControlID)` This will set the Batch Control ID for the batch.
    `void` | `setBatchExpected(boolean bBatchExpected)` Set b Batch Expected
    `void` | `setDeferred(boolean deferred)`
    `void` | `setQueryIdentifier(java.lang.String strQueryIdentifier)` Sets Query Identifier.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageData

          public MessageData(Message objMessage)

      Constructor of MessageData for initializing Members.
      Parameters:
        `objMessage` - - object of Message

  - ### Method Detail

    - #### setBatchExpected

          public void setBatchExpected(boolean bBatchExpected)

      Set b Batch Expected
      Parameters:
        `bBatchExpected` - - object b batch Expected

    - #### isBatchExpected

          public boolean isBatchExpected()

      Checks whether incoiming entity is batch or not.
      Returns:
        boolean - Returns true if incoming entity is batch or not.

    - #### getMessageStructure

          public java.lang.String getMessageStructure()

      Retrieves Message Structure
      Returns:
        String - message structure retrived.

    - #### getTriggerEvent

          public java.lang.String getTriggerEvent()

      Retrieves Trigger Event
      Returns:
        String - Trigger event retrived.

    - #### getEnumMessageCode

          public EnumMessageCode getEnumMessageCode()

      Retrieves Message Code.
      Returns:
        EnumMessageCode - Message Code.

    - #### getMessageControllerID

          public java.lang.String getMessageControllerID()

      Retrieves Message Controller ID.
      Returns:
        String - Message Controller ID.

    - #### getQueryIdentifier

          public java.lang.String getQueryIdentifier()

      Retrieves Query Identifier.
      Returns:
        String - Query Identifier.

    - #### setQueryIdentifier

          public void setQueryIdentifier(java.lang.String strQueryIdentifier)

      Sets Query Identifier.
      Parameters:
        `strQueryIdentifier` - - Query Identifier.

    - #### setDeferred

          public void setDeferred(boolean deferred)

      Parameters:
        `deferred` -

    - #### getDeferred

          public boolean getDeferred()

      Returns:
        boolean

    - #### setBatchControlID

          public void setBatchControlID(java.lang.String strBatchControlID)

      This will set the Batch Control ID for the batch.

    - #### getBatchControlID

          public java.lang.String getBatchControlID()

      Retrieves Batch ControlID .
      Returns:
        String - Batch ControlID